低危 Lhasa整数溢出漏洞

CVE编号

CVE-2016-2347

利用情况

暂无

补丁情况

官方补丁

披露时间

2017-04-22
漏洞描述
Lhasa是软件开发者Simon Howard所研发的一套用于替代Unix中的LHA压缩程序的免费软件。该软件能够解压缩.lzh和.lzs文件。

Lhasa的lib\lha_file_header.c文件中的‘decode_level3_header()’函数中存在整数溢出漏洞,该漏洞源于程序未能正确处理归档文件中的头部大小值。攻击者可借助恶意的归档利用该漏洞造成拒绝服务,或执行任意代码。
解决建议
目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
https://www.debian.org/security/2016/dsa-3540
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 lhasa_project lhasa * Up to
(including)
0.3.0
运行在以下环境
系统 debian debian_linux 7.0 -
运行在以下环境
系统 debian debian_linux 8.0 -
运行在以下环境
系统 debian DPKG * Up to
(excluding)
0.3.1-1
运行在以下环境
系统 debian_7 lhasa * Up to
(excluding)
0.0.7-2+deb7u1
运行在以下环境
系统 debian_8 lhasa * Up to
(excluding)
0.2.0+git3fe46-1+deb8u1
运行在以下环境
系统 opensuse leap 42.1 -
运行在以下环境
系统 opensuse opensuse 13.2 -
运行在以下环境
系统 opensuse_13.2 lhasa * Up to
(excluding)
0.3.1-4.4.1
运行在以下环境
系统 opensuse_Leap_42.1 lhasa * Up to
(excluding)
0.3.1-10.1
运行在以下环境
系统 sles_12 lhasa * Up to
(excluding)
0.2.0-5
运行在以下环境
系统 sles_12 lhasa * Up to
(excluding)
0.2.0-5.1
运行在以下环境
系统 sles_12_SP1 lhasa * Up to
(excluding)
0.2.0-5.1
运行在以下环境
系统 suse_12 lhasa * Up to
(excluding)
0.2.0-5.1
运行在以下环境
系统 suse_12_SP1 lhasa * Up to
(excluding)
0.2.0-5.1
运行在以下环境
系统 ubuntu_14.04.6_lts lhasa * Up to
(excluding)
0.0.7-2+deb7u1ubuntu0.14.04.1
运行在以下环境
系统 ubuntu_14.04_lts lhasa * Up to
(excluding)
0.0.7-2+deb7u1ubuntu0.14.04.1
运行在以下环境
系统 ubuntu_18.04.5_lts lhasa * Up to
(excluding)
0.3.1-1
运行在以下环境
系统 ubuntu_18.04_lts lhasa * Up to
(excluding)
0.3.1-1
运行在以下环境
系统 ubuntu_18.10 lhasa * Up to
(excluding)
0.3.1-1
阿里云评分
2.9
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-190 整数溢出或超界折返
阿里云安全产品覆盖情况